%define schemeversion 552

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	free C++ class library of cryptographic schemes.
Name: 		cryptopp
Version: 	5.5.2
Release: 	1
Group: 		System/Libraries
License: 	Public Domain
URL: 		http://www.cryptopp.com/
Source0: 	%{name}%{schemeversion}.zip
# introduce DESTDIR, so install macro works
# also disable debug option for smaller binaries
Patch0:		cryptopp-destdir.patch

BuildRequires: 	glibc-devel
BuildRequires:  libstdc++-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Crypto++ Library is a free C++ class library of cryptographic schemes.
One purpose of Crypto++ is to act as a repository of public domain 
(not copyrighted) source code. Although the library is copyrighted as a 
compilation, the individual files in it (except for a few exceptions listed
in the license) are in the public domain.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%prep
%setup -c -n %{name}-%{version}
%patch0 -p1

%build
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_bindir}/cryptest.exe $RPM_BUILD_ROOT%{_bindir}/cryptest
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.a

%changelog
* Sun Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.5.2-1
- Initial Release
